メインコンテンツへスキップ
GET
/
2
/
tweets
/
search
/
stream
/
rules
ストリームルールを取得
curl --request GET \
  --url https://api.x.com/2/tweets/search/stream/rules \
  --header 'Authorization: Bearer <token>'
{
  "meta": {
    "sent": "<string>",
    "next_token": "<string>",
    "result_count": 123,
    "summary": {
      "created": 1,
      "invalid": 1,
      "not_created": 1,
      "valid": 1
    }
  },
  "data": [
    {
      "value": "coffee -is:retweet",
      "id": "120897978112909812",
      "tag": "Non-retweeted coffee Posts"
    }
  ]
}

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

クエリパラメータ

ids
string[]

カンマ区切りのルールIDのリスト。

このルールの一意な識別子。

Pattern: ^[0-9]{1,19}$
max_results
integer<int32>
デフォルト:1000

結果の最大件数。

必須範囲: 1 <= x <= 1000
pagination_token
string

この値を設定するには、前回のリクエストで返された「next_token」をパラメーターとして指定します。

Required string length: 16

レスポンス

リクエストは成功しました。

meta
object
必須
data
object[]